Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.text
Class GVTAttributedCharacterIterator.TextAttribute

    java.lang.Object
      java.text.AttributedCharacterIterator.Attribute
          org.apache.batik.gvt.text.GVTAttributedCharacterIterator.TextAttribute

All Implemented Interfaces:
  Serializable

Enclosing interface:
  GVTAttributedCharacterIterator

    public static class GVTAttributedCharacterIterator.TextAttribute

extends AttributedCharacterIterator.Attribute

Attribute keys that identify SVG text attributes. Anchor point for attribute values of X, Y, and ROTATION is determined by the character's font and other attributes. We duplicate the features of java.awt.font.TextAttribute rather than subclassing because java.awt.font.TextAttribute is final.

See Also:
  Serialized Form

Field Summary
`static Integer` | `ADJUST_ALL` Value for LENGTH_ADJUST specifying overall scaling of layout outlines
`static Integer` | `ADJUST_SPACING` Value for LENGTH_ADJUST specifying adjustment to inter-glyph spacing
`static GVTAttributedCharacterIterator.TextAttribute` | `ALT_GLYPH_HANDLER`
`static GVTAttributedCharacterIterator.TextAttribute` | `ANCHOR_TYPE` Anchor type.
`static GVTAttributedCharacterIterator.TextAttribute` | `ARABIC_FORM`
`static Integer` | `ARABIC_INITIAL`
`static Integer` | `ARABIC_ISOLATED`
`static Integer` | `ARABIC_MEDIAL`
`static Integer` | `ARABIC_NONE`
`static Integer` | `ARABIC_TERMINAL`
`static GVTAttributedCharacterIterator.TextAttribute` | `BASELINE_SHIFT` Baseline adjustment to be applied to this character span.
`static GVTAttributedCharacterIterator.TextAttribute` | `BBOX_WIDTH` Author-expected width for bounding box containing all text string glyphs.
`static GVTAttributedCharacterIterator.TextAttribute` | `BIDI_LEVEL`
`static GVTAttributedCharacterIterator.TextAttribute` | `CHAR_INDEX`
`static GVTAttributedCharacterIterator.TextAttribute` | `CUSTOM_SPACING` Convenience flag indicating that non-default glyph spacing is needed.
`static GVTAttributedCharacterIterator.TextAttribute` | `DX` User-space relative X coordinate for character.
`static GVTAttributedCharacterIterator.TextAttribute` | `DY` User-space relative Y coordinate for character.
`static GVTAttributedCharacterIterator.TextAttribute` | `EXPLICIT_LAYOUT` Marker attribute indicating explicit glyph layout.
`static GVTAttributedCharacterIterator.TextAttribute` | `FLOW_EMPTY_PARAGRAPH`
`static GVTAttributedCharacterIterator.TextAttribute` | `FLOW_LINE_BREAK`
`static GVTAttributedCharacterIterator.TextAttribute` | `FLOW_PARAGRAPH`
`static GVTAttributedCharacterIterator.TextAttribute` | `FLOW_REGIONS`
`static GVTAttributedCharacterIterator.TextAttribute` | `FONT_VARIANT` Font variant to be used for this character span.
`static GVTAttributedCharacterIterator.TextAttribute` | `GVT_FONT`
`static GVTAttributedCharacterIterator.TextAttribute` | `GVT_FONT_FAMILIES`
`static GVTAttributedCharacterIterator.TextAttribute` | `GVT_FONTS`
`static GVTAttributedCharacterIterator.TextAttribute` | `HORIZONTAL_ORIENTATION_ANGLE`
`static GVTAttributedCharacterIterator.TextAttribute` | `KERNING` User-specified inter-glyph kerning value.
`static GVTAttributedCharacterIterator.TextAttribute` | `LENGTH_ADJUST` Method specified for adjusting text element layout size.
`static GVTAttributedCharacterIterator.TextAttribute` | `LETTER_SPACING` User-specified inter-glyph spacing value.
`static GVTAttributedCharacterIterator.TextAttribute` | `LINE_HEIGHT`
`static Integer` | `ORIENTATION_ANGLE` Value for VERTICAL_ORIENTATION indicating an angle
`static Integer` | `ORIENTATION_AUTO` Value for VERTICAL_ORIENTATION indicating auto
`static Boolean` | `OVERLINE_ON` Value for OVERLINE specifying overlining-on
`static GVTAttributedCharacterIterator.TextAttribute` | `PAINT_INFO` All the paint attributes for the text.
`static GVTAttributedCharacterIterator.TextAttribute` | `PREFORMATTED`
`static GVTAttributedCharacterIterator.TextAttribute` | `ROTATION` Rotation for character, in degrees.
`static Integer` | `SMALL_CAPS` Value for FONT_VARIANT specifying small caps
`static Boolean` | `STRIKETHROUGH_ON` Value for STRIKETHROUGH specifying strikethrough-on
`static GVTAttributedCharacterIterator.TextAttribute` | `TEXT_COMPOUND_DELIMITER` Attribute span delimiter - new tspan, tref, or textelement.
`static GVTAttributedCharacterIterator.TextAttribute` | `TEXT_COMPOUND_ID` Element identifier all chars from same element will share an ID.
`static GVTAttributedCharacterIterator.TextAttribute` | `TEXTPATH` Path along which text is to be laid out
`static Integer` | `UNDERLINE_ON` Value for UNDERLINE specifying underlining-on
`static GVTAttributedCharacterIterator.TextAttribute` | `VERTICAL_ORIENTATION`
`static GVTAttributedCharacterIterator.TextAttribute` | `VERTICAL_ORIENTATION_ANGLE`
`static GVTAttributedCharacterIterator.TextAttribute` | `WORD_SPACING` User-specified width for whitespace characters.
`static GVTAttributedCharacterIterator.TextAttribute` | `WRITING_MODE` Directional writing mode applied to this character span.
`static Integer` | `WRITING_MODE_LTR` Value for WRITING_MODE indicating left-to-right
`static Integer` | `WRITING_MODE_RTL` Value for WRITING_MODE indicating right-to-left
`static Integer` | `WRITING_MODE_TTB` Value for WRITING_MODE indicating top-to-botton
`static GVTAttributedCharacterIterator.TextAttribute` | `X` User-space X coordinate for character.
`static GVTAttributedCharacterIterator.TextAttribute` | `Y` User-space Y coordinate for character.

Fields inherited from class java.text.AttributedCharacterIterator.Attribute
`INPUT_METHOD_SEGMENT, LANGUAGE, READING`

Constructor Summary
`GVTAttributedCharacterIterator.TextAttribute(String s)` Construct a TextAttribute key with name s

Method Summary

Methods inherited from class java.text.AttributedCharacterIterator.Attribute
`equals, getName, hashCode, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FLOW_PARAGRAPH

    public static final GVTAttributedCharacterIterator.TextAttribute FLOW_PARAGRAPH

### FLOW_EMPTY_PARAGRAPH

    public static final GVTAttributedCharacterIterator.TextAttribute FLOW_EMPTY_PARAGRAPH

### FLOW_LINE_BREAK

    public static final GVTAttributedCharacterIterator.TextAttribute FLOW_LINE_BREAK

### FLOW_REGIONS

    public static final GVTAttributedCharacterIterator.TextAttribute FLOW_REGIONS

### LINE_HEIGHT

    public static final GVTAttributedCharacterIterator.TextAttribute LINE_HEIGHT

### PREFORMATTED

    public static final GVTAttributedCharacterIterator.TextAttribute PREFORMATTED

### TEXT_COMPOUND_DELIMITER

    public static final GVTAttributedCharacterIterator.TextAttribute TEXT_COMPOUND_DELIMITER

  Attribute span delimiter - new tspan, tref, or textelement.

### TEXT_COMPOUND_ID

    public static final GVTAttributedCharacterIterator.TextAttribute TEXT_COMPOUND_ID

  Element identifier all chars from same element will share an ID.

### ANCHOR_TYPE

    public static final GVTAttributedCharacterIterator.TextAttribute ANCHOR_TYPE

  Anchor type.

### EXPLICIT_LAYOUT

    public static final GVTAttributedCharacterIterator.TextAttribute EXPLICIT_LAYOUT

  Marker attribute indicating explicit glyph layout.

### X

    public static final GVTAttributedCharacterIterator.TextAttribute X

  User-space X coordinate for character.

### Y

    public static final GVTAttributedCharacterIterator.TextAttribute Y

  User-space Y coordinate for character.

### DX

    public static final GVTAttributedCharacterIterator.TextAttribute DX

  User-space relative X coordinate for character.

### DY

    public static final GVTAttributedCharacterIterator.TextAttribute DY

  User-space relative Y coordinate for character.

### ROTATION

    public static final GVTAttributedCharacterIterator.TextAttribute ROTATION

  Rotation for character, in degrees.

### PAINT_INFO

    public static final GVTAttributedCharacterIterator.TextAttribute PAINT_INFO

  All the paint attributes for the text.

### BBOX_WIDTH

    public static final GVTAttributedCharacterIterator.TextAttribute BBOX_WIDTH

  Author-expected width for bounding box containing all text string glyphs.

### LENGTH_ADJUST

    public static final GVTAttributedCharacterIterator.TextAttribute LENGTH_ADJUST

  Method specified for adjusting text element layout size.

### CUSTOM_SPACING

    public static final GVTAttributedCharacterIterator.TextAttribute CUSTOM_SPACING

  Convenience flag indicating that non-default glyph spacing is needed.

### KERNING

    public static final GVTAttributedCharacterIterator.TextAttribute KERNING

  User-specified inter-glyph kerning value.

### LETTER_SPACING

    public static final GVTAttributedCharacterIterator.TextAttribute LETTER_SPACING

  User-specified inter-glyph spacing value.

### WORD_SPACING

    public static final GVTAttributedCharacterIterator.TextAttribute WORD_SPACING

  User-specified width for whitespace characters.

### TEXTPATH

    public static final GVTAttributedCharacterIterator.TextAttribute TEXTPATH

  Path along which text is to be laid out

### FONT_VARIANT

    public static final GVTAttributedCharacterIterator.TextAttribute FONT_VARIANT

  Font variant to be used for this character span.

  See Also:
    `SMALL_CAPS`

### BASELINE_SHIFT

    public static final GVTAttributedCharacterIterator.TextAttribute BASELINE_SHIFT

  Baseline adjustment to be applied to this character span.

### WRITING_MODE

    public static final GVTAttributedCharacterIterator.TextAttribute WRITING_MODE

  Directional writing mode applied to this character span.

### VERTICAL_ORIENTATION

    public static final GVTAttributedCharacterIterator.TextAttribute VERTICAL_ORIENTATION

### VERTICAL_ORIENTATION_ANGLE

    public static final GVTAttributedCharacterIterator.TextAttribute VERTICAL_ORIENTATION_ANGLE

### HORIZONTAL_ORIENTATION_ANGLE

    public static final GVTAttributedCharacterIterator.TextAttribute HORIZONTAL_ORIENTATION_ANGLE

### GVT_FONT_FAMILIES

    public static final GVTAttributedCharacterIterator.TextAttribute GVT_FONT_FAMILIES

### GVT_FONTS

    public static final GVTAttributedCharacterIterator.TextAttribute GVT_FONTS

### GVT_FONT

    public static final GVTAttributedCharacterIterator.TextAttribute GVT_FONT

### ALT_GLYPH_HANDLER

    public static final GVTAttributedCharacterIterator.TextAttribute ALT_GLYPH_HANDLER

### BIDI_LEVEL

    public static final GVTAttributedCharacterIterator.TextAttribute BIDI_LEVEL

### CHAR_INDEX

    public static final GVTAttributedCharacterIterator.TextAttribute CHAR_INDEX

### ARABIC_FORM

    public static final GVTAttributedCharacterIterator.TextAttribute ARABIC_FORM

### WRITING_MODE_LTR

    public static final Integer WRITING_MODE_LTR

  Value for WRITING_MODE indicating left-to-right

### WRITING_MODE_RTL

    public static final Integer WRITING_MODE_RTL

  Value for WRITING_MODE indicating right-to-left

### WRITING_MODE_TTB

    public static final Integer WRITING_MODE_TTB

  Value for WRITING_MODE indicating top-to-botton

### ORIENTATION_ANGLE

    public static final Integer ORIENTATION_ANGLE

  Value for VERTICAL_ORIENTATION indicating an angle

### ORIENTATION_AUTO

    public static final Integer ORIENTATION_AUTO

  Value for VERTICAL_ORIENTATION indicating auto

### SMALL_CAPS

    public static final Integer SMALL_CAPS

  Value for FONT_VARIANT specifying small caps

### UNDERLINE_ON

    public static final Integer UNDERLINE_ON

  Value for UNDERLINE specifying underlining-on

### OVERLINE_ON

    public static final Boolean OVERLINE_ON

  Value for OVERLINE specifying overlining-on

### STRIKETHROUGH_ON

    public static final Boolean STRIKETHROUGH_ON

  Value for STRIKETHROUGH specifying strikethrough-on

### ADJUST_SPACING

    public static final Integer ADJUST_SPACING

  Value for LENGTH_ADJUST specifying adjustment to inter-glyph spacing

### ADJUST_ALL

    public static final Integer ADJUST_ALL

  Value for LENGTH_ADJUST specifying overall scaling of layout outlines

### ARABIC_NONE

    public static final Integer ARABIC_NONE

### ARABIC_ISOLATED

    public static final Integer ARABIC_ISOLATED

### ARABIC_TERMINAL

    public static final Integer ARABIC_TERMINAL

### ARABIC_INITIAL

    public static final Integer ARABIC_INITIAL

### ARABIC_MEDIAL

    public static final Integer ARABIC_MEDIAL

Constructor Detail

### GVTAttributedCharacterIterator.TextAttribute

    public GVTAttributedCharacterIterator.TextAttribute(String s)

  Construct a TextAttribute key with name s

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.